Overview
GET
/system/feature-flagssystemList feature flags (public; optional ?scope=system and ?key= exact-match filter)
List feature-flags.
Parameters
- scopequery · optional"system"
By default the response unions the hub ecosystem's PRODUCT flags (hub rows are projected with id: 0) with the site-wide system.feature_flags rows. `scope=system` returns ONLY the system.feature_flags rows — the admin management view, which edits by serial id and must not receive the id-less hub-product rows.
- keyquery · optionalstring
Responses
200
Feature flags
- idinteger
- keystring
- descriptionstring
- enabledboolean
- createdAtstring
- updatedAtstring
Example
[
{
"id": 0,
"key": "string",
"description": "string",
"enabled": true,
"createdAt": "string",
"updatedAt": "string"
}
]Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/system/feature-flags" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/system/feature-flags", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();